> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Zapier: Add Person

> Creates a new person record tuned for Zapier payloads (comma-separated emails/phones supported).



## OpenAPI

````yaml /api-reference/openapi-zapier.json post /zapier/zap-add-person
openapi: 3.1.0
info:
  title: Stardex API (Zapier)
  version: 1.0.0
  description: Stardex Zapier integration endpoints.
servers:
  - url: https://api.stardex.ai
    description: Production API server
security:
  - bearerAuth: []
tags: []
paths:
  /zapier/zap-add-person:
    post:
      tags:
        - Zapier Endpoints
      summary: 'Zapier: Add Person'
      description: >-
        Creates a new person record tuned for Zapier payloads (comma-separated
        emails/phones supported).
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZapAddPersonBody'
      responses:
        '201':
          description: Person added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZapAddPersonResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  schemas:
    ZapAddPersonBody:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        first_name:
          type: string
        last_name:
          type: string
        linkedin_url:
          type: string
        current_job_title:
          type: string
        linkedin_location:
          type: string
        company_name:
          type: string
        email:
          type: string
          format: email
        emails:
          type: string
        phone_number:
          type: string
        phone_numbers:
          type: string
        notes:
          type: string
        job_id:
          type: string
        job_name:
          type: string
        client_name:
          type: string
        client_id:
          type: string
        external_source_id:
          type: string
        enrich_record:
          type: boolean
      required:
        - name
        - linkedin_url
    ZapAddPersonResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            linkedin_public_id:
              type:
                - string
                - 'null'
            current_job_title:
              type:
                - string
                - 'null'
            company_name:
              type:
                - string
                - 'null'
            linkedin_location:
              type:
                - string
                - 'null'
            emails:
              type: array
              items:
                type: object
                properties:
                  contact_data_type:
                    type:
                      - string
                      - 'null'
                  value:
                    type: string
                required:
                  - contact_data_type
                  - value
            phones:
              type: array
              items:
                type: object
                properties:
                  contact_data_type:
                    type:
                      - string
                      - 'null'
                  value:
                    type: string
                required:
                  - contact_data_type
                  - value
            candidate_id:
              type:
                - string
                - 'null'
            client_contact_id:
              type:
                - string
                - 'null'
            external_source_id:
              type:
                - string
                - 'null'
          required:
            - id
            - name
            - linkedin_public_id
            - current_job_title
            - company_name
            - linkedin_location
            - emails
            - phones
            - candidate_id
            - client_contact_id
            - external_source_id
      required:
        - success
        - message
        - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with a Bearer token: API key, OAuth token, or session
        token.

````